function TETLoadjTET()
%TETLOADJTET Loads jTET for use by the TET
%   This loads the jTET library into MATLAB, so TET can use it.

% First find the path.
path = mfilename('fullpath');
path = [path(1:size(path, 2)-11) 'jTET/jtet-1.0-SNAPSHOT-jar-with-dependencies.jar'];

% Verify the jar isn't already in the classpath.
classpath = javaclasspath;
exists = 0;
for i=1:size(classpath,1)
    if strcmp(classpath{i}, path) == 1
        exists = 1;
    end
end
if exists == 0
    % Not added yet, thus add it.
    javaaddpath(path);
end

end
